summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAlexander2017-05-04 18:50:04 +0200
committerAlexander2017-05-04 18:50:04 +0200
commit3d2d9925d9da7eb45ba3e3e905e6a66879be74aa (patch)
treef4fb04ceb386cd063873f8870cf736f0de64a063 /PKGBUILD
downloadaur-3d2d9925d9da7eb45ba3e3e905e6a66879be74aa.tar.gz
Fist commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD93
1 files changed, 93 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..97f2f52ccb0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,93 @@
+# Maintainer: Alex S. <shantanna_at_hotmail_dot_com>
+
+# You'll need to download the package archive from
+# https://www.blackmagicdesign.com/products/davinciresolve
+
+pkgname=davinci-resolve-beta
+_pkgname=resolve
+pkgver=14.0b1
+pkgrel=0
+pkgdesc='Professional A/V post-production software suite'
+arch=('x86_64')
+url="https://www.blackmagicdesign.com/"
+license=('Commercial')
+depends=('glu' 'gtk2' 'gstreamer' 'ocl-icd' 'libopenssl-1.0-compat' 'libpng12' 'log4cxx'
+ 'qt4' 'qt5-base' 'qt5-svg' 'qt5-webkit' 'qt5-webengine' 'qt5-websockets')
+options=('!strip')
+conflicts=('davinci-resolve')
+source=("local://DaVinci_Resolve_${pkgver}_Linux.zip")
+sha256sums=('e5b85e380394e90f27148437453e175906cff014e34a386c1bca9d29bac91823')
+
+package() {
+ mkdir -p "${pkgdir}/opt/${_pkgname}/"{bin,configs}
+
+ msg2 "Extracting from bundle..."
+ cd "${srcdir}" || exit
+ ./DaVinci_Resolve_${pkgver}_Linux.sh --tar xf -C "${pkgdir}/opt/${_pkgname}"
+
+ msg2 "Extracting library archives..."
+ cd "${pkgdir}/opt/${_pkgname}/" || exit
+ gunzip -f LUT/trim_lut0.dpx.gz
+ for archive in libs/*tgz; do
+ tar xf "${archive}" -C libs/
+ rm -f "${archive}"
+ done
+
+ msg2 "Relocate binaries and config..."
+ cd "${pkgdir}/opt/${_pkgname}/" || exit
+ local _binaries=(
+ BMDPanelFirmware
+ DPDecoder
+ ShowDpxHeader
+ TestIO
+ bandwidthTest
+ bmdpaneld
+ deviceQuery
+ oclBandwidthTest
+ oclDeviceQuery
+ qt.conf
+ )
+ for binary in "${_binaries[@]}"; do
+ mv "rsf/${binary}" "bin/${binary}"
+ done
+ mv resolve bin/resolve
+ mv rsf/Control Control
+ cp rsf/default-config-linux.dat configs/config.dat
+
+ msg2 "Add lib symlinks..."
+ cd "${pkgdir}/opt/${_pkgname}/" || exit
+ ln -s /usr/lib/libcrypto-compat.so.1.0.0 libs/libcrypto.so.10
+ ln -s /usr/lib/libssl-compat.so.1.0.0 libs/libssl.so.10
+ ln -s /usr/lib/libgstbase-1.0.so libs/libgstbase-0.10.so.0
+ ln -s /usr/lib/libgstreamer-1.0.so libs/libgstreamer-0.10.so.0
+
+ msg2 "Creating launchers..."
+ cd "${srcdir}" || exit
+ cat > "${srcdir}/DaVinci Resolve.desktop" << EOF
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Type=Application
+Name=DaVinci Resolve
+Comment=Professional non-linear editing
+Exec=/opt/${_pkgname}/bin/start-resolve
+Icon=/opt/${_pkgname}/rsf/DV_Resolve.png
+Terminal=false
+Categories=Multimedia;AudioVideo;Application;
+EOF
+ install -Dm644 DaVinci\ Resolve.desktop "${pkgdir}/usr/share/applications/DaVinci Resolve.desktop"
+
+ cat > "${srcdir}/start-resolve" << EOF
+#!/bin/sh
+export LD_LIBRARY_PATH=/opt/${_pkgname}/libs
+exec /opt/${_pkgname}/bin/resolve "\$@"
+EOF
+ install -Dm755 start-resolve "${pkgdir}/opt/${_pkgname}/bin/start-resolve"
+
+ msg2 "Making sure file ownership is correct..."
+ chown -R root:root "${pkgdir}/opt"
+
+ msg2 "Any final tweaks..."
+ ln -s /tmp "${pkgdir}/opt/${_pkgname}/logs"
+
+ msg2 "Done!"
+}